/* Copyright (C) 2014 by Bundesamt für Sicherheit in der Informationstechnik
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU GPL (v>=2)
 * and comes with ABSOLUTELY NO WARRANTY!
 * See LICENSE.txt for details.
 */
#ifndef NSSSTORE_H
#define NSSSTORE_H
/** @file
 * @brief Helper functions controlling the NSS installation process.
 */

#ifdef __cplusplus
extern "C" {
#endif

/** @brief Write into NSS stores
 *
 * Starts the nss installation process for all users
 * we have the right to impersonate and installs / removes
 * the certificates in their stores.

 * @param [in] to_install strv of DER encoded certificates to be added.
 * @param [in] to_remove strv of DER encoded certificates to be remvoed.
 * @returns 0 on success an errorcode otherwise.
 */
int write_stores_nss (char **to_install, char **to_remove);

#ifdef __cplusplus
}
#endif

#endif // NSSSTORE_H
